Skip to content

Create a digital human video task ​

Digital human video tasks combine an avatar and audio. Prepare an avatar_asset_id and audio URL before submitting the task.

Pre-resources ​

ResourcesAccess
avatar_asset_idUpload or register image media assets by POST /v1/assets/uploads.
audio_urlURL from a successful digital human audio task, or another accessible audio URL.
modelUse digital human video models, for example digital-human-video-v8.

Create a video task ​

http
POST /v1/tasks
bash
curl https://moonnexai.com/v1/tasks \
  -H "Authorization: Bearer <MOONNEXAI_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "digital-human-video-v8",
    "avatar_asset_id": "asset_avatar_xxx",
    "audio_url": "https://example.com/audio.mp3",
    "name": "brand-host-video"
  }'

Query a video task ​

http
GET /v1/tasks/{task_id}
bash
curl https://moonnexai.com/v1/tasks/task_xxx \
  -H "Authorization: Bearer <MOONNEXAI_API_KEY>"

Response fields ​

fieldAnnotations
task_idVideo task ID.
statusTask status.
url / video_urlThe successful outcome address.
fail_reason / errorError message when failed.

Recommendations for the examination ​

phenomenaCheckpoint
Image is not availableConfirms whether avatar_asset_id is correct and media assets is accessible.
Audio is not availableConfirm that audio_url is directly accessible and audio task has been successfully accessed.
task is in the process of being processed for long periodsKeep task_id, continue the query later, or use Webhook.
The results were not in line with expectationsCheck image media assets quality, audio clarity and input field.

Relevant Pages ​